org.eclipse.emf.compare.ide.ui.internal.logical.view

## Enum LogicalModelView.Presentation

- java.lang.Object
- - java.lang.Enum<LogicalModelView.Presentation>
  - - org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelView.Presentation

All Implemented Interfaces:
  Serializable, Comparable<LogicalModelView.Presentation>

Enclosing class:
  LogicalModelView

    public static enum LogicalModelView.Presentation
    extends Enum<LogicalModelView.Presentation>

Presentation mode of the viewer.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LIST` Show files in flat list.
`TREE` Show folder structure in full tree.

### Method Summary

All Methods Static Methods Concrete Methods
`static LogicalModelView.Presentation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LogicalModelView.Presentation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LIST

    public static final LogicalModelView.Presentation LIST

Show files in flat list.

#### TREE

    public static final LogicalModelView.Presentation TREE

Show folder structure in full tree.

### Method Detail

#### values

    public static LogicalModelView.Presentation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LogicalModelView.Presentation c : LogicalModelView.Presentation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LogicalModelView.Presentation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null